JdbcProxyGenerator (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.codegen

## Class JdbcProxyGenerator

- java.lang.Object
- - com.mchange.v2.codegen.intfc.DelegatorGenerator
  - - com.mchange.v2.c3p0.codegen.JdbcProxyGenerator

-     public abstract class JdbcProxyGenerator
      extends com.mchange.v2.codegen.intfc.DelegatorGenerator

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `generateDelegateCode(java.lang.Class intfcl, java.lang.String genclass, java.lang.reflect.Method method, com.mchange.v2.codegen.IndentedWriter iw)`
    `protected void` | `generateExtraDeclarations(java.lang.Class intfcl, java.lang.String genclass, com.mchange.v2.codegen.IndentedWriter iw)`
    `protected void` | `generateExtraImports(com.mchange.v2.codegen.IndentedWriter iw)`
    `protected void` | `generatePostDelegateCode(java.lang.Class intfcl, java.lang.String genclass, java.lang.reflect.Method method, com.mchange.v2.codegen.IndentedWriter iw)`
    `protected void` | `generatePreDelegateCode(java.lang.Class intfcl, java.lang.String genclass, java.lang.reflect.Method method, com.mchange.v2.codegen.IndentedWriter iw)`
    `static void` | `main(java.lang.String[] argv)`
    `protected void` | `writeDetachBody(com.mchange.v2.codegen.IndentedWriter iw)`

    - ### Methods inherited from class com.mchange.v2.codegen.intfc.DelegatorGenerator

      `generateBannerComment, generateClassJavaDocComment, generateReflectiveDelegateCode, getClassModifiers, getExtraInterfaces, getMethodModifiers, getNoArgConstructorModifiers, getReflectiveDelegateMethods, getReflectiveDelegationPolicy, getSuperclass, getWrappingConstructorModifiers, isGenerateInnerGetter, isGenerateInnerSetter, isGenerateNoArgConstructor, isGenerateWrappingConstructor, setClassModifiers, setExtraInterfaces, setGenerateInnerGetter, setGenerateInnerSetter, setGenerateNoArgConstructor, setGenerateWrappingConstructor, setMethodModifiers, setNoArgConstructorModifiers, setReflectiveDelegateMethods, setReflectiveDelegationPolicy, setSuperclass, setWrappingConstructorModifiers, writeDelegator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### generateDelegateCode

          protected void generateDelegateCode(java.lang.Class intfcl,
                                              java.lang.String genclass,
                                              java.lang.reflect.Method method,
                                              com.mchange.v2.codegen.IndentedWriter iw)
                                       throws java.io.IOException

      Overrides:
        `generateDelegateCode` in class `com.mchange.v2.codegen.intfc.DelegatorGenerator`
      Throws:
        `java.io.IOException`

    - #### generatePreDelegateCode

          protected void generatePreDelegateCode(java.lang.Class intfcl,
                                                 java.lang.String genclass,
                                                 java.lang.reflect.Method method,
                                                 com.mchange.v2.codegen.IndentedWriter iw)
                                          throws java.io.IOException

      Overrides:
        `generatePreDelegateCode` in class `com.mchange.v2.codegen.intfc.DelegatorGenerator`
      Throws:
        `java.io.IOException`

    - #### generatePostDelegateCode

          protected void generatePostDelegateCode(java.lang.Class intfcl,
                                                  java.lang.String genclass,
                                                  java.lang.reflect.Method method,
                                                  com.mchange.v2.codegen.IndentedWriter iw)
                                           throws java.io.IOException

      Overrides:
        `generatePostDelegateCode` in class `com.mchange.v2.codegen.intfc.DelegatorGenerator`
      Throws:
        `java.io.IOException`

    - #### generateExtraDeclarations

          protected void generateExtraDeclarations(java.lang.Class intfcl,
                                                   java.lang.String genclass,
                                                   com.mchange.v2.codegen.IndentedWriter iw)
                                            throws java.io.IOException

      Overrides:
        `generateExtraDeclarations` in class `com.mchange.v2.codegen.intfc.DelegatorGenerator`
      Throws:
        `java.io.IOException`

    - #### writeDetachBody

          protected void writeDetachBody(com.mchange.v2.codegen.IndentedWriter iw)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### generateExtraImports

          protected void generateExtraImports(com.mchange.v2.codegen.IndentedWriter iw)
                                       throws java.io.IOException

      Overrides:
        `generateExtraImports` in class `com.mchange.v2.codegen.intfc.DelegatorGenerator`
      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] argv)